package at.ac.uibk.gitsearch.service.util;

import java.util.ArrayList;
import java.util.List;

public class TreeNode<T> {

    private T data;
    private TreeNode<T> parent;
    private List<TreeNode<T>> children = new ArrayList<>();

    public TreeNode(T nodeData) {
        data = nodeData;
        parent = null;
    }

    public TreeNode(T nodeData, TreeNode<T> parent) {
        this(nodeData);
        this.parent = parent;
    }

    public void addChild(T nodeData) {
        TreeNode<T> node = new TreeNode<T>(nodeData, this);
        addChild(node);
    }

    public void addChild(TreeNode<T> nodeData) {
        children.add(nodeData);
    }

    public void addChildren(List<TreeNode<T>> nodeData) {
        for (TreeNode<T> node : nodeData) {
            children.add(node);
        }
    }

    public T getData() {
        return data;
    }

    public TreeNode<T> getParent() {
        return parent;
    }

    public List<TreeNode<T>> getChildren() {
        return children;
    }
}
