package at.ac.uibk.gitsearch.repository.gitlab;

//import static at.ac.uibk.gitsearch.web.rest.AccountResourceIT.TEST_USER_LOGIN;
import static org.junit.Assert.assertNotNull;

import at.ac.uibk.gitsearch.GitsearchApp;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.gitlab4j.api.GitLabApi;
import org.gitlab4j.api.GitLabApi.ApiVersion;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.security.test.context.support.WithMockUser;

@SpringBootTest(classes = GitsearchApp.class)
@WithMockUser(value = "test", authorities = "sharing")
public class GitLabRepositoryIT {

    @SuppressWarnings("unused")
    private static final Logger LOGGER = LogManager.getLogger(GitLabRepositoryIT.class);

    @Autowired
    private GitLabRepository gitLabRepository;

    @Test
    public void getGitLabAccessInfoTest() {
        gitLabRepository.getGitLabAccessInfo();
    }

    @Test
    public void getGitLabApiTest() {
        final GitLabApi gitLabApi = gitLabRepository.getGitLabApi();
        final ApiVersion apiVersion = gitLabApi.getApiVersion();
        assertNotNull(apiVersion);
    }
}
